#ifndef DEMOSCOPE_H
#define DEMOSCOPE_H

#include <unity/scopes/ScopeBase.h>
#include <unity/scopes/QueryBase.h>
#include <unity/scopes/ReplyProxyFwd.h>

class QCoreApplication;

class QtDemoScope : public unity::scopes::ScopeBase
{
public:
    virtual int start(std::string const&, unity::scopes::RegistryProxy const&) override;

    virtual void stop() override;
    virtual void run() override;

    unity::scopes::QueryBase::UPtr preview(const unity::scopes::Result&,
            const unity::scopes::VariantMap&) override;

    virtual unity::scopes::QueryBase::UPtr create_query(std::string const& q,
            unity::scopes::VariantMap const&) override;

private:
    QCoreApplication *app;
};

#endif
