#ifndef QTSCOPEQUERY_H
#define QTSCOPEQUERY_H

#include<QObject>
#include<QString>
#include <unity/scopes/ReplyProxyFwd.h>

/**
 * A class used to inject a Unity Scope query into the
 * Qt infrastructure.
 */

class QtScopeBridge : public QObject {
    Q_OBJECT

public:

    QtScopeBridge(QString query, unity::scopes::SearchReplyProxy proxy);
    ~QtScopeBridge();

    bool event(QEvent *e);

private:
    QString query;
    unity::scopes::SearchReplyProxy proxy;
    bool started;
};


#endif
